#ifndef _KERNEL_INTERFACE_H
#define _KERNEL_INTERFACE_H

/*
 * Copyright (C) 1993 Bas Laarhoven.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; see the file COPYING.  If not, write to
the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

 *
 $Source: /usr/src/distr/driver/RCS/kernel-interface.h,v $
 $Author: bas $
 *
 $Revision: 1.4 $
 $Date: 1993/08/29 15:24:41 $
 $State: Alpha $
 *
 * ----Description----
 *
 */

#ifndef NR_BUFFERS
#define NR_BUFFERS 2
#endif

/*      kernel-interface.c defined global variables.
 */
extern char* ftape_big_buffer;
extern char *tape_buffer;

/*      kernel-interface.c defined global functions.
 */
extern "C" int init_module( void);
extern "C" void cleanup_module( void);

/*      kernel global functions not (yet) standard accessible
 *      (linked at load time by modules package).
 */
extern "C" sys_sgetmask();
extern "C" sys_ssetmask();

#endif
